#include<iostream>
using namespace std;

int main(){
	int N,l,r,x,minimum,maksimum,M;
//	cout<<"unesi te broj vaga "<<endl;
	cin>>N;
//	cout<<"unesi te broj pitanja "<<endl;
	cin>>M;
	int vage[N][2];
	for(int i=0;i<N;i++){
//		cout<<"unesite minimum vage "<<i+1<<endl;
		cin>>vage[i][0];
//		cout<<"unesite maksimum vage "<<i+1<<endl;
		cin>>vage[i][1];
	}
	int rezultati[M];
	for(int m=0;m<M;m++){
		int suma=0;
	//	cout<<"unesi indeks prve vage za testiranje"<<endl;
		cin>>l;
	//	cout<<"unesi indeks zadnje vage za testiranje"<<endl;
		cin>>r;
	//	cout<<"unesi tezinu"<<endl;
		cin>>x;
		for(int i=l-1;i<r;i++){
			minimum=vage[i][0];
			maksimum=vage[i][1];
			if(minimum<=x && maksimum>=x){
				suma++;
			}
		}
		if(suma>0){
			rezultati[m]=suma;
			
		}	
		else{
			rezultati[m]=0;
			
		}	 
		
	//	cout<<"broj vaga koje rade za ovu tezinu je "<<suma<<endl;
	}
	for(int i=0;i<M;i++){
		cout<<rezultati[i]<<endl;;
	}
	
	
}